The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Компания NVIDIA представила ветку драйверов с длительной поддержкой

16.09.2011 17:43

Представлен стабильный релиз прошлой ветки драйверов для видеокарт NVIDIA - 275.28, который ознаменовал собой создание ветки с длительным сроком поддержки. В отличие от последнего стабильного выпуска 280.13, ветка 275.x позиционируется как консервативная, в которой исправляются только критические ошибки и вносятся изменения с минимальным риском для нарушения стабильности. Ветка 275.x рассчитана на пользователей современных GPU, которым стабильность важнее реализации новых функций.

По сравнению с прошлым выпуском 275.21 в новой версии добавлена поддержка ABI 11 (xorg-server 1.11); исправлена проблема, приводящая к краху при выполнении некоторых WebGL-приложений; устранена ошибка в реализации VDPAU, вызывающая аномальные условия в glibc (срабатывание assertion).

  1. Главная ссылка к новости (http://www.nvnews.net/vbulleti...)
  2. OpenNews: Обновление проприетарных драйверов NVIDIA: 275.21, 173.14.31, 96.43.20 и 71.86.15
  3. OpenNews: Релиз проприетарного драйвера NVIDIA 280.13
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/31773-nvidia
Ключевые слова: nvidia, driver, x11
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (44) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Аноним (-), 17:54, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Надеюсь, мейнтейнеры Debian возьмут на заметку.
     
     
  • 2.2, Аноним (-), 18:24, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Несвободные дрова же, в non-free будут.
     
     
  • 3.6, Аноним (-), 18:57, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    И что?
     
  • 2.13, Анон (?), 21:21, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Сомнительно, они уже ветку 280.13 похоже приметили для включения в состав следующего стабильного релиза.
     
     
  • 3.43, тигар (ok), 08:11, 19/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    если не еще более старую;-)
     

  • 1.3, Zenitur (ok), 18:40, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Правильное решение, учитывая некоторое ухудшение последних версий драйвера по сравнению с тем, что было несколько лет до них.
     
     
  • 2.4, Аноним (-), 18:48, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Некоторое ухучшение? Это когда вентиль на видяхе останавливался и она жарилась? Нормальное такое "некоторое ухучшение" :)
     
     
  • 3.5, Zenitur (ok), 18:52, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Это было на всех платформах. А я говорю только про Linux. Почитай новости на опеннете начиная с 2008 года, или вот это: http://www.linux.org.ru/news/hardware/6176537 и это http://www.google.ru/search?gcx=c&sourceid=chrome&ie=UTF-8&q=megabaks+nvidia+
     
  • 3.10, megabaks (ok), 20:32, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    это было на вендах
    и то только в одной версии
    и да - порванный баян
     
     
  • 4.17, Zenitur (ok), 21:47, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    http://www.opennet.ru/opennews/art.shtml?num=25698
     
  • 3.16, Аноним (-), 21:24, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Некоторое ухучшение? Это когда вентиль на видяхе останавливался и она жарилась?

    Виндопроблемы.

     

  • 1.7, MrQuadro (ok), 19:26, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    что то долго они поддержку нового ABI делали
    я уже  и на nouveau перешел.
     
     
  • 2.9, megabaks (ok), 20:23, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +1 +/
    долго?
    "September 07, 2011"
    не скажи
     

  • 1.8, Аноним (-), 19:49, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    который ознаменовал собой начало поддержки ветки с длительным сроком поддержки
     
  • 1.11, mihalych (?), 21:08, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Интересно, а иксЫ с длительной поддержкой есть/будут?
     
     
  • 2.15, Аноним (-), 21:23, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Интересно, а иксЫ с длительной поддержкой есть/будут?

    Берем дистрибутив с длительной поддержкой (например, RHEL) - и вуаля!

     

  • 1.12, Заоза (?), 21:12, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Быть может мы когда нибудь застанем "Компания NVIDIA представила ветку драйверов с поддержкой Wayland".
     
     
  • 2.14, Аноним (-), 21:23, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Скорее всего, если большинство дистрибутивов откажутся от иксов в пользу вейленда, для нвидии и ати это станет удобным поводом прекратить поддержку линуксовых дров. "В связи с небольшим размером целевой аудитории, наша компания не считает целесообразным тратить кучу сил и времени на переписывание этих дров с нуля"
    Ведь и в ати, и в нвидии за выпуск линуксовых дров отвечает по полтора индуса.
     
     
  • 3.18, Zenitur (ok), 21:50, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Скорее всего, если большинство дистрибутивов откажутся от иксов в пользу вейленда, для
    > нвидии и ати это станет убедительным поводом добавить поддержку Wayland.

    Так лучше. Но ты же знаешь, что большинство дистрибутивов так не сделает.

     
     
  • 4.19, Аноним (-), 22:00, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    К сожалению, скорее всего сделают. Есть у них такая привычка - тянуть в рот все новое, независимо от того, насколько это оправлано.

    А добавлять поддержку вейленда в проприетарные дрова никто не будет - 1% пользователей не стоит этого феерического гемора.

     
     
  • 5.22, Zenitur (ok), 22:30, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Только у федоры и убунты.
     
  • 5.27, кверти (?), 00:32, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • –1 +/
    феерический гемор как раз у разрабов с иксами, причем у разрабов не только дров, но всяких ДЕ
     
     
  • 6.32, Аноним (-), 03:56, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Вы так говорите, как будто с переходом на вейленд ситуация сразу станет лучше.
     
     
  • 7.38, ананим (?), 18:50, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Он так говорит как-будто сам разраб ДЕ.
    На самом деле - нету с иксами проблем. Только с дровами - то 3д глючит, то 2д-ускорение тормозит.
    В любом случае именно те дырки (типа dri), что как раз мимо иксов бегают.
     
  • 2.21, fidaj (ok), 22:08, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    ...если еще и в режиме ядра....
     
  • 2.29, Аноним (-), 00:48, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Надеюсь, никогда.
     

  • 1.20, fidaj (ok), 22:03, 16/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Буквально за сегодня:
    был баг с проигрыванием флеша (проблема при аппаратном декодировании) на версии 280.13 - поставил версию 275.28 - проблема осталась...
    Потом нарыскал бету 285.03 - полет нормальный...
    Как-то странно - я до сих пор не разобрался в системе нумераций версий драйверов от nvidia...
     
     
  • 2.23, Zenitur (ok), 22:33, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Буквально за сегодня:
    > был баг с проигрыванием флеша (проблема при аппаратном декодировании) на версии 280.13
    > - поставил версию 275.28 - проблема осталась...
    > Потом нарыскал бету 285.03 - полет нормальный...
    > Как-то странно - я до сих пор не разобрался в системе нумераций
    > версий драйверов от nvidia...

    VDPAU значит. По моим наблюдениям проблемы у nvidia начались в 2008 году. Да, они сделали CUDA и VDPAU, но никогда раньше ошибки в новой технологии не исправлялись годами и пачками проблем. Кроме того, установщик CUDA ужасен. Ну и раньше просто не было множества мелких проблем, а сразу всё и всегда работало.

    Спрашиваю у megabaks о его наблюдениях

     
  • 2.24, fidaj (ok), 22:48, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    нихрена баг не ушел - только что опять споймал.... блин, начинает уже раздражать - больше года не чешутся над исправлением... :(
     
     
  • 3.25, Аноним (-), 23:36, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Ранние версии 275.хх опробуйте.
     
     
  • 4.26, fidaj (ok), 23:43, 16/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Ранние версии 275.хх опробуйте.

    Какую из них именно?
    бывал на этих:
    275.09
    275.09.04
    275.09.07
    275.28
    глюки те же самые... :(

    или просто перебором по всем пройтись?... недосуг... :(

    вариантов осталось не много 275.19 и 275.21 - думаю ситуация не изменится - так как пробовал начальную в 275.09 и последнюю на сегодня 275.28

     
  • 3.30, Zenitur (ok), 01:11, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Попробуй 64-битный - он не поддерживает VDPAU.
     
     
  • 4.31, fidaj (ok), 01:14, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Попробуй 64-битный - он не поддерживает VDPAU.

    не могу...
    Могу отключить:
    OverrideGPUValidation=true
    EnableLinuxHWVideoDecode=1

    но тогда не прикольно... :(

     
     
  • 5.42, Oinari (ok), 07:43, 19/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Лучше отключить. Даже бета 11 флеша периодически вешает иксы.
     
     
  • 6.44, fidaj (ok), 12:15, 19/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Лучше отключить. Даже бета 11 флеша периодически вешает иксы.

    К сожалению именно так и пришлось поступить :(
    EnableLinuxHWVideoDecode=false

     
  • 3.45, no_downloader (?), 22:20, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > нихрена баг не ушел - только что опять споймал.... блин, начинает уже
    > раздражать - больше года не чешутся над исправлением... :(

    flash вместо окон браузера начинает проявляться в других окнах?

    получается у меня тоже этот баг

     
     
  • 4.46, fidaj (ok), 22:23, 23/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    >> нихрена баг не ушел - только что опять споймал.... блин, начинает уже
    >> раздражать - больше года не чешутся над исправлением... :(
    > flash вместо окон браузера начинает проявляться в других окнах?

    да, но не это проблема - появление на других окнах это:OverrideGPUValidation=true,
    а вот с декодированием EnableLinuxHWVideoDecode=true - это проблема - см выше  -пришлось отключить - и пока все нормально.

    > получается у меня тоже этот баг

     

  • 1.34, tmx (?), 13:10, 17/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    кто знает, есть ли такое PPA которое можно подключить и обновить драйверы до  275.28 в Ubuntu? и что-бы не обновлялось ничего другого кроме нужного драйверам.
     
  • 1.35, Anonus (?), 14:11, 17/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Как раз использую 275й на своей новой GTX 560 Ti.

    Ребят, стоит ли пробовать 280ю? Какие в целом отличия?

     
     
  • 2.36, Аноним (-), 14:35, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    > Как раз использую 275й на своей новой GTX 560 Ti.
    > Ребят, стоит ли пробовать 280ю? Какие в целом отличия?

    Ставь nouveau, ты же борцун за свободное ПО.

     
  • 2.37, Zenitur (ok), 15:17, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Никаких.
     
     
  • 3.39, Zenitur (ok), 21:17, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    Неправда, там исправлена ошибка с GNOME 3, подробнее в ссылке в тексте новости.
     
     
  • 4.40, Zenitur (ok), 21:38, 17/09/2011 [^] [^^] [^^^] [ответить]  
  • +/
    В бета-версии 280-й ветки драйвера, а именно 280.10.01.04, появилась поддержка OpenGL 4.2.
     

  • 1.41, Аноним (-), 22:24, 17/09/2011 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Подружить дрова с ядром 3.0 и выше получилось у кого?
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2020 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру